GDAL-VECTOR(1)

NAME
gdal-vector - Entry point for vector commands

Added in version 3.11.

SYNOPSIS

    Usage: gdal vector <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - clip:      Clip a vector dataset.
      - concat:    Concatenate vector datasets.
      - convert:   Convert a vector dataset.
      - edit:      Edit metadata of a vector dataset.
      - filter:    Filter a vector dataset.
      - geom:      Geometry operations on a vector dataset.
      - grid:      Create a regular grid from scattered points.
      - info:      Return information on a vector dataset.
      - pipeline:  Process a vector dataset.
      - rasterize: Burns vector geometries into a raster.
      - reproject: Reproject a vector dataset.
      - select:    Select a subset of fields from a vector dataset.
      - sql:       Apply SQL statement(s) to a dataset.
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]
    Options:
      --drivers               Display vector driver list as JSON document and exit

AVAILABLE SUB-COMMANDS

•   gdal vector clip

•   gdal vector concat

•   gdal vector convert

•   gdal vector edit

•   gdal vector filter

•   gdal vector geom

•   gdal vector info

•   gdal vector pipeline

•   gdal vector rasterize

•   gdal vector reproject

•   gdal vector select

•   gdal vector sql

EXAMPLES

  Example 1: Getting information on the file poly.gpkg (with JSON output)

    $ gdal vector info poly.gpkg

  Example 2: Converting file poly.gpkg to Esri File Geodatabase

    $ gdal vector convert --format=OpenFileGDB poly.gpkg poly.gdb

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025